# whatsapp-web.js 1.2.1-post » Class: PrivateContact

## Properties

id
isBusiness
isEnterprise
isGroup

isMe
isMyContact
isUser
isWAContact

name
number
pushname
shortName

## Method

getProfilePicUrl()

## new PrivateContact()

Extends
  Contact

## Properties

### id unknown

ID that represents the contact

Inherited from
  Contact#id

### isBusiness unknown

Indicates if the contact is a business contact

Inherited from
  Contact#isBusiness

### isEnterprise unknown

Indicates if the contact is an enterprise contact

Inherited from
  Contact#isEnterprise

### isGroup unknown

Indicates if the contact is a group contact

Inherited from
  Contact#isGroup

### isMe unknown

Indicates if the contact is the current user's contact

Inherited from
  Contact#isMe

### isMyContact unknown

Indicates if the number is saved in the current phone's contacts

Inherited from
  Contact#isMyContact

### isUser unknown

Indicates if the contact is a user contact

Inherited from
  Contact#isUser

### isWAContact unknown

Indicates if the number is registered on WhatsApp

Inherited from
  Contact#isWAContact

### name unknown

The contact's name, as saved by the current user

Inherited from
  Contact#name

### number unknown

Contact's phone number

Inherited from
  Contact#number

### pushname unknown

The name that the contact has configured to be shown publically

Inherited from
  Contact#pushname

### shortName unknown

A shortened version of name

Inherited from
  Contact#shortName

## Method

async

### getProfilePicUrl() → Promise containing string

Returns the contact's profile picture URL, if privacy settings allow it

Inherited from
  Contact#getProfilePicUrl
Returns